> For the complete documentation index, see [llms.txt](https://app.developers.karte.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://app.developers.karte.io/ios-sdk-appendix/appendix-configuration-ios-sdk.md).

# \[iOS]初期化オプション一覧

SDK の初期化時にオプションを指定することで、SDKの一部の挙動を変更することが可能です。\
なお通常はデフォルトの設定で問題ありません。

| オプション        | デフォルト値 | 内容                                                                                                                                         |
| ------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| isDryRun     | false  | イベントトラッキングを行うかどうか指定するためのオプションです。`true` を指定することでイベントトラッキングが行われなくなります。                                                                       |
| isOptOut     | false  | オプトアウトを行うかどうか指定するためのオプションです。`true` を指定することで、オプトアウトが有効になります。実装の方法については、[オプトアウトに対応する](/ios-sdk-appendix/appendix-optout-ios-sdk.md) をご覧ください。 |
| idfaDelegate | nil    | 広告IDの取得処理の委譲先インスタンスを指定するためのオプションです。実装の方法については、[Appendix: 広告ID（IDFA）を送信する](/ios-sdk-appendix/appendix-idfa-ios-sdk.md) をご覧ください。             |

## `KarteRemoteNotification` モジュールの設定オプション

| オプション                    | デフォルト値 | 内容                                                                                                                                                                                         |
| ------------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| isEnabledAutoMeasurement | true   | 通知の効果測定を行うために自動で `接客サービスのクリック` イベントを送信するかどうか、指定するためのオプションです。`true` を指定することで自動送信が有効になります。詳細は、[通知の開封を検知できません](/app-faq/app-faq-unable-to-detect-the-opening-of-the-notification.md) をご覧ください。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://app.developers.karte.io/ios-sdk-appendix/appendix-configuration-ios-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
